import { openScene } from "../../js/scene.js";
import { config } from "../../config.js";
import AppState from "../../js/state.js";
import { normalizeNodes } from "../../js/utils/nodeUtils.js";
import { initUI } from "../../js/ui.js";

AppState.currentScene = 'ssgp';
const marker = config.markers.find(m => m.id === 'ssgp');
AppState.normalizedNodes = normalizeNodes(marker.nodes);

openScene(marker, AppState.normalizedNodes);
initUI(location.pathname + '/ontology.json');
